
Katello - Bug #3675

Engine: make sure we're consistently using strings for rule parameter keys

11/18/2013 02:06 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The serialized parameters attribute has been changed to a Hash on FilterRule because we couldn't get HashWithIndifferentAccess to

work properly. Thus we need to make sure we're using strings as keys when setting/updating/deleting values from rule.parameters.

History

#1 - 06/03/2014 06:35 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Changes to content view code make this no longer relevant.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
